
TYPO3.Fluid - Bug # 3339

Status: Resolved Priority: Must have
Author: Sebastian Kurfuerst Category:
Created: 2009-05-16 Assigned To: Sebastian Kurfuerst
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: TagBuilder->setContent should not escape HTML
Description

TagBuilder->setContent should not escape HTML

Associated revisions
Revision 0c230c14 - 2009-05-18 19:56 - Sebastian Kurfuerst
Fluid:
    -  Cleaned up lots of PHPDoc
    -  TagBuilder->setContent() does not escape HTML anymore (fixes #3339)
    -  Added many @internal annotations (refs #3287)
    -  Added ViewHelperContext, but not using it yet (refs #3290)
    -  Dropped SyntaxTree->render() method. Does not change public API.

History
#1 - 2009-05-18 09:18 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To changed from Bastian Waidelich to Sebastian Kurfuerst

currently working on this

#2 - 2009-05-18 09:39 - Bastian Waidelich

Sebastian Kurfuerst wrote:

currently working on this

It's already resolved in tx_fluid. I'm about to "forward port" the changes we've implemented on T3DD09. I haven't adapted the tag builder yet, so go
ahead!

#3 - 2009-05-18 20:02 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2246.
